# $Revision: 1.6 $, $Date: 2008/06/22 20:28:23 $
Summary:	Sieve plugin for dovecot
Summary(pl.UTF-8):	Wtyczka Sieve dla dovecota
Name:		dovecot-sieve
Version:	1.1.5
Release:	1
License:	LGPL
Group:		Daemons
Source0:	http://dovecot.org/releases/sieve/%{name}-%{version}.tar.gz
# Source0-md5:	b4362defe3fc18865db8cf8e1c940b13
URL:		http://www.dovecot.org/
BuildRequires:	bison
BuildRequires:	dovecot-devel >= 1:1.1.1
BuildRequires:	flex
%requires_eq_to	dovecot dovecot-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sieve is a language that can be used to create filters for electronic
mail. It owes its creation to the CMU Cyrus Project, creators of Cyrus
IMAP server.

This dovecot plugin is derived is from Cyrus IMAP v2.2.12.

%description -l pl.UTF-8
Sieve to język używany do tworzenia filtrów dla poczty elektronicznej.
Zawdzięcza swoje powstanie projektowi CMU Cyrus, twórcom serwera
pocztowego Cyrus IMAP.

Ta wtyczka dovecota wywodzi się z serwera Cyrus IMAP w wersji 2.2.12.

%prep
%setup -q

%build
%configure \
	--disable-static \
	--with-dovecot=%{_libdir}/dovecot-devel

%{__make} \
	dovecot_incdir=%{_includedir}/dovecot \
	moduledir=%{_libdir}/dovecot/plugins

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	moduledir=%{_libdir}/dovecot/plugins

rm -f $RPM_BUILD_ROOT%{_libdir}/dovecot/plugins/lda/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS 
%attr(755,root,root) %{_libdir}/dovecot/sievec
%attr(755,root,root) %{_libdir}/dovecot/sieved
%attr(755,root,root) %{_libdir}/dovecot/plugins/lda/lib90_cmusieve_plugin.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dovecot-sieve.spec,v $
Revision 1.6  2008/06/22 20:28:23  arekm
- up to 1.1.5

Revision 1.5  2008-01-11 23:19:36  qboosh
- updated to build with cleaned up dovecot-devel; finished cleanup

Revision 1.4  2008-01-11 21:00:27  qboosh
- pl, initial part of cleanup

Revision 1.3  2007-09-01 18:23:35  skibi
- add md5sum

Revision 1.2  2007/09/01 17:45:45  skibi
- Requires to exec ./adapter <- adamg
